#ifndef PARAMS_H
#define PARAMS_H

#define XMAX 2048
#define YMAX 10000
#define FONT_SIZE_WAVEFORM_TITLE 10
#define DEFAULT_SIZE 2048
#define BLK_SIZE 12

//****************
// TM packets SIDs
#define SID_NORMAL_SWF_F0 3
#define SID_NORMAL_SWF_F1 4
#define SID_NORMAL_SWF_F2 5
#define SID_NORMAL_CWF_F3 1
#define SID_NORMAL_ASM_F0 11
#define SID_NORMAL_ASM_F1 12
#define SID_NORMAL_ASM_F2 13
#define SID_NORMAL_BP1_F0 14
#define SID_NORMAL_BP1_F1 15
#define SID_NORMAL_BP1_F2 16
#define SID_NORMAL_BP2_F0 19
#define SID_NORMAL_BP2_F1 20
#define SID_NORMAL_BP2_F2 21
//
#define SID_BURST_CWF_F2 2
#define SID_BURST_BP1_F0 17
#define SID_BURST_BP2_F0 22
#define SID_BURST_BP1_F1 18
#define SID_BURST_BP2_F1 23
//
#define SID_SBM1_CWF_F1 24
#define SID_SBM1_BP1_F0 28
#define SID_SBM1_BP2_F0 31
//
#define SID_SBM2_CWF_F2 25
#define SID_SBM2_BP1_F0 29
#define SID_SBM2_BP2_F0 32
#define SID_SBM2_BP1_F1 30
#define SID_SBM2_BP2_F1 33

#define RMAP_DEFAULT_SOURCE_ADDRESS 1

#endif // PARAMS_H
