#ifndef WFPLOT_H
#define WFPLOT_H

#include <QWidget>
#include <qcustomplot.h>
#include <QVBoxLayout>
#include <params.h>

class WFPlot : public QWidget
{
    Q_OBJECT
public:
    explicit WFPlot(QWidget *parent = 0);

    QCustomPlot * customPlot;
    void displayOnPlot(short *data, unsigned int size);
    QVBoxLayout *mainLayout;
    
signals:
    
public slots:
    void selectionChanged();
    void mousePress();
    void mouseWheel();
    
};

#endif // WFPLOT_H
